<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Framework;
use App\User;
use Yajra\DataTables\Facades\DataTables;
use Illuminate\Support\Facades\Validator;

class frameworkController extends Controller
{
    public function index()
    {
        $framework = Framework::all();
        return view('backend.framework.index', compact('framework'));
    }

    public function data(Request $request)
    {
        if ($request->ajax()) {
            $framework = framework::orderBy('id', 'desc');
            return Datatables::of($framework)
            ->addIndexColumn()
            // ->addColumn('lampiran', function($framework){
            //     return '<a href="'. $framework->url_berkas .'">Download</a>';
            // })
            ->addColumn(
                 'action',
                           '<center>
                               <a class="edit ubah" data-toggle="tooltip" data-placement="top" title="Edit" framework-id="{{ $id }}" href="#edit-{{ $id }}">
                                   <i class="fa fa-pencil text-warning"></i>
                               </a>&nbsp; &nbsp;
                               <a class="delete hidden-xs hidden-sm hapus" data-toggle="tooltip" data-placement="top" title="Delete" framework-id="{{ $id }}" href="#hapus-{{ $id }}" >
                                   <i class="fa fa-trash text-danger"></i>
                               </a>
                           </center>'
                        )
              ->rawColumns(['action', 'lampiran'])->make(true);
        } else {
            exit("Not an AJAX request -_-");
        }
    }

    public function data_detail(Request $request, $id)
    {
        if ($request->ajax()) {
            $users = Framework::find($id)->user;
            return Datatables::of($users)
            ->addIndexColumn()->make(true);
        } else {
            exit("Not an AJAX request -_-");
        }
    }

    public function create(Request $request)
    {
        $request->request->add(['user_id' => auth()->user()->id]);
    
        return view('backend.framework.tambah');
    }
    
      /**
         * Store a newly created resource in storage.
         *
         * @param  \Illuminate\Http\Request  $request
         * @return \Illuminate\Http\Response
         */
    
        public function store(Request $request)
        {
            $validator = Validator::make($request->all(), [
                
               // 'katartikel_id'		=> 'required',
                'judul'             => 'required',
                'konten'            => 'required',
                
                
                
              ]);
            if ($validator->fails()) {
                $respon = array('status'=>false, 'pesan' => $validator->messages());
            } else {
                if (Framework::create($request->all())) {
                    $respon = array('status'=>true, 'pesan' => ['msg' => 'Data berhasil disimpan']);
                } else {
                    $respon = array('status'=>false, 'pesan' => ['msg' => 'Data gagal disimpan']);
                }
            }
            return response()->json($respon);
        }

        public function edit($id)
        {
            $framework = framework::find($id);
            return view('backend.framework.ubah', ['framework' => $framework]);
        }
    
        /**
         * Update the specified resource in storage.
         *
         * @param  \Illuminate\Http\Request  $request
         * @param  int  $id
         * @return \Illuminate\Http\Response
         */
        public function update(Request $request, $id)
        {
            $validator = Validator::make($request->all(), [
       
                'judul'		=> 'required',
                'konten' => 'required',
                
    
              ]);
            if ($validator->fails()) {
                $respon = array('status'=>false, 'pesan' => $validator->messages());
            } else {
                if (Framework::find($id)->update($request->all())) {
                    $respon = array('status'=>true, 'pesan' => ['msg' => 'Data berhasil diubah']);
                } else {
                    $respon = array('status'=>false, 'pesan' => ['msg' => 'Data gagal diubah']);
                }
            }
            return response()->json($respon);
        }

           /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function hapus($id)
    {
        $framework = Framework::find($id);
        return view('backend.framework.hapus', ['framework' => $framework]);
    }

    public function destroy($id)
    {
        $framework = Framework::find($id);
        if ($framework->delete()) {
            $respon = array('status'=>true, 'pesan' => ['msg' => 'Data berhasil dihapus']);
        } else {
            $respon = array('status'=>false, 'pesan' => ['msg' => 'Data gagal dihapus']);
        }
        return response()->json($respon);
    }
    
    

}
